#version 110

uniform sampler2D DiffuseSampler;

varying vec2 texCoord;
varying vec2 oneTexel;

uniform vec2 InSize;

#define TIME texture2D(DiffuseSampler, vec2(0.0, 0.0)).rgb

#define Px 1.0/InSize.x
#define Py 1.0/InSize.y

int toInt(vec3 a) {
    return int(a.r * 255.) + (int(a.g * 255.) +  int(a.b * 255.) * 256) * 256;
}

vec3 toVec3(int a) {
    int amod256 = a / 256; amod256 *= 256; amod256 = a - amod256;
    int amod65536 = a / 65536; amod65536 *= 65536; amod65536 = a - amod65536;
    int amod16777216 = a / 16777216; amod16777216 *= 16777216; amod16777216 = a - amod16777216;
    return vec3(float(amod256) / 255., float(amod65536 / 256) / 255., float(amod16777216 / 65536) / 255.);
}

void time() {
    vec3 time = TIME;
    int t = toInt(time);
    t++;
    time.rgb = toVec3(t);
    gl_FragColor = vec4(time, 1.0);
}

void main() {

    if(texCoord.x < Px && texCoord.y < Py) time();
    
}
